<h2 mat-dialog-title>{{ data.title }}</h2>
<mat-dialog-content>
  {{ data.content }}
  <form autocomplete="off" [formGroup]="editForm" id="editStudySetForm" (ngSubmit)="handleForm()">
    <app-input [inputFormControl]="editForm.get('title')" [label]="'Title'" [type]="'text'"
      [placeholder]="'Edit title'"></app-input>
    <mat-form-field appearance="outline" class="form-field-block">
      <mat-label>Description</mat-label>
      <textarea matInput cdkTextareaAutosize [formControl]="editForm.get('description')"
        [placeholder]="'Edit description'"></textarea>
    </mat-form-field>
    <mat-form-field appearance="outline" class="form-field-block">
      <mat-label>Visibility</mat-label>
      <mat-select [formControl]="editForm.get('visibility')">
        <mat-option value="public">Public</mat-option>
        <mat-option value="private">Private</mat-option>
      </mat-select>
      <mat-error *ngIf="editForm.get('visibility').hasError('required')">
        You must select an option
      </mat-error>
    </mat-form-field>
  </form>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close mat-dialog-close="false">Cancel</button>
  <button *ngIf="data.editing" type="submit" [disabled]="!validForm" mat-button [mat-dialog-close]="editForm.value"
    form="editStudySetForm">
    Edit Study Set
  </button>
  <button *ngIf="!data.editing" type="submit" [disabled]="!validForm" mat-button mat-dialog-close
    mat-dialog-close="true" form="editStudySetForm">
    Create
  </button>
</mat-dialog-actions>
